HostParams (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.params

## Class HostParams

- java.lang.Object
- - org.apache.commons.httpclient.params.DefaultHttpParams
  - - org.apache.commons.httpclient.params.HostParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, HttpParams

      public class HostParams
      extends DefaultHttpParams

  This class represents a collection of HTTP protocol parameters applicable to `instances of HostConfiguration`. Protocol parameters may be linked together to form a hierarchy. If a particular parameter value has not been explicitly defined in the collection itself, its value will be drawn from the parent collection of parameters.
  Since:
    3.0
  Version:
    $Revision: 480424 $
  Author:
    Oleg Kalnichevski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_HEADERS` Defines the request headers to be sent per default with each request.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostParams()` Creates a new collection of parameters with the collection returned by `DefaultHttpParams.getDefaultParams()` as a parent.
    `HostParams(HttpParams defaults)` Creates a new collection of parameters with the given parent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getVirtualHost()` Returns the virtual host name.
    `void` | `setVirtualHost(java.lang.String hostname)` Sets the virtual host name.

    - ### Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams

      `clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HEADERS

          public static final java.lang.String DEFAULT_HEADERS

      Defines the request headers to be sent per default with each request.

      This parameter expects a value of type `Collection`. The collection is expected to contain `Header`s.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HostParams

          public HostParams()

      Creates a new collection of parameters with the collection returned by `DefaultHttpParams.getDefaultParams()` as a parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.
      See Also:
        `DefaultHttpParams.getDefaultParams()`

    - #### HostParams

          public HostParams(HttpParams defaults)

      Creates a new collection of parameters with the given parent. The collection will defer to its parent for a default value if a particular parameter is not explicitly set in the collection itself.
      Parameters:
        `defaults` - the parent collection to defer to, if a parameter is not explictly set in the collection itself.
      See Also:
        `DefaultHttpParams.getDefaultParams()`

  - ### Method Detail

    - #### setVirtualHost

          public void setVirtualHost(java.lang.String hostname)

      Sets the virtual host name.
      Parameters:
        `hostname` - The host name

    - #### getVirtualHost

          public java.lang.String getVirtualHost()

      Returns the virtual host name.
      Returns:
        The virtual host name

Copyright (c) 1999-2005 - Apache Software Foundation